<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
				
		///Guardar el Registro de la Graficación
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$FechaGen=date("Y/m/d");
		$CveRepo="20";
		$NomRepo="Monitoreo de Tareas";
		$NivRepo="Kilos";
		$RangoRepo="Demanda";
		$AreRepo="Surtido";
		$sql_GH = mysql_query("insert into dashboard_historico (CVE_CUENTA,NOMBRE_CUENTA,CVE_REPORTE,NOMBRE_REPORTE,NIVEL,RANGO,SELECION_RANGO,AREA,USUARIO,FECHA,HORA)
			        values('$CveCueCR1','$CtaSesionEn','$CveRepo','$NomRepo','$NivRepo','$RangoRepo','N/A','$AreRepo','$UsuEn','$FechaGen','$HoraOK')");
		///$resultado_GH=mysql_query($sql_GH,$conexion) or die(mysql_error());
				
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////				
				
////#########################################################################################################///
				
	///Elimina Data del Grafico Anterior Generado por el usuario en Sesión
	$sql_EDG= mysql_query("DELETE FROM dashboard_kpi20 WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND (CLASIFICACION='4' or CLASIFICACION='5' or CLASIFICACION='6')");
				
	///Tareas Generadas
	$sql_w1=mysql_query("SELECT tabla_tareas.sku, tabla_tareas.cant_xtarea FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' Order by tabla_tareas.id ASC");
	while($res_w1=mysql_fetch_array($sql_w1))
	{///Inicia While 01
		
		$CodSku_w1 = $res_w1['sku'];
		$CanTar_w1 = $res_w1['cant_xtarea'];
		
		///Consultar Armado del Producto
		$sql_CA1 = mysql_query("select PESO from tabla_altaproducto where SKU='$CodSku_w1' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CA1)==0) echo "";
		else{
		$registro_CA1=mysql_fetch_array($sql_CA1);
		}
		if (mysql_numrows($sql_CA1)>0)
		{
		$PesoNetxCaja_CA1=$registro_CA1["PESO"];
		}
		
		///Identificando el Peso Neto por pieza
		$PesoItem = $CanTar_w1 * $PesoNetxCaja_CA1;
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','4','0','$PesoItem','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$CodSku_w1 = "";
		$CanTar_w1 = "";
		$PesoNetxCaja_CA1 = "";
		$PesoItem = "";
		
	}///Termina While 01
				
				
	///Tareas Finalizadas			
	$sql_w2=mysql_query("SELECT tabla_tareas.sku, tabla_tareas.cant_surtida FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea = 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' Order by tabla_tareas.id ASC");
	while($res_w2=mysql_fetch_array($sql_w2))
	{///Inicia While 02
		
		$CodSku_w2 = $res_w2['sku'];
		$CanSur_w2 = $res_w2['cant_surtida'];
		
		///Consultar Armado del Producto
		$sql_CA1 = mysql_query("select PESO from tabla_altaproducto where SKU='$CodSku_w2' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CA1)==0) echo "";
		else{
		$registro_CA1=mysql_fetch_array($sql_CA1);
		}
		if (mysql_numrows($sql_CA1)>0)
		{
		$PesoNetxCaja_CA1=$registro_CA1["PESO"];
		}
		
		///Identificando el Peso Neto por pieza
		$PesoItem = $CanSur_w2 * $PesoNetxCaja_CA1;
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','5','0','$PesoItem','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$CodSku_w2 = "";
		$CanTar_w2 = "";
		$PesoNetxCaja_CA1 = "";
		$PesoItem = "";
		
	}///Termina While 02
				
	///Tareas Pendientes				
	$sql_w3=mysql_query("SELECT tabla_tareas.sku, tabla_tareas.cant_xtarea FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.edo_documento <> 'cerrado' AND tabla_tareas.observaciones = '' AND tabla_tareas.estado_tarea <> 'EJECUTADA' AND tabla_docsurtido.cve_cuenta = '$CveCueCR1' Order by tabla_tareas.id ASC");
	while($res_w3=mysql_fetch_array($sql_w3))
	{///Inicia While 03
		
		$CodSku_w3 = $res_w3['sku'];
		$CanPen_w3 = $res_w3['cant_xtarea'];
		
		///Consultar Armado del Producto
		$sql_CA1 = mysql_query("select PESO from tabla_altaproducto where SKU='$CodSku_w3' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CA1)==0) echo "";
		else{
		$registro_CA1=mysql_fetch_array($sql_CA1);
		}
		if (mysql_numrows($sql_CA1)>0)
		{
		$PesoNetxCaja_CA1=$registro_CA1["PESO"];
		}
		
		///Identificando el Peso Neto por pieza
		$PesoItem = $CanPen_w3 * $PesoNetxCaja_CA1;
		
		///Fecha y Hora
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("d/m/Y");
		
		///Generando Consecutivo de Tabla
		$sqlID = "select max(ID) as ultimo_FOLIO from dashboard_kpi20"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		///Insertar Registro
		$sql_ins1 = mysql_query("insert into dashboard_kpi20 (ID,CVE_BODEGA,CVE_CUENTA,CLASIFICACION,NO_CAJAS,NO_KILOS,FECHA,HORA,USUARIO)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','6','0','$PesoItem','$Fecha','$HoraOK','$UsuEn')");	
		
		///Limpiando Variables
		$CodSku_w3 = "";
		$CanTar_w3 = "";
		$PesoNetxCaja_CA1 = "";
		$PesoItem = "";
		
	}///Termina While 03			

		///Total de Cajas en Tareas Generadas		
		$sql_S1 = "SELECT SUM(NO_KILOS) as Suma1 FROM dashboard_kpi20 WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND CLASIFICACION='4'";
		$res_S1 = mysql_query($sql_S1); 
		$PrePiezas_S1 = mysql_fetch_assoc($res_S1);
		$TotCaj_S1 =  $PrePiezas_S1 ['Suma1'];
		if ($TotCaj_S1=="")
		{
			$TotCaj_S1 = "0";
		}
				
		///Total de Cajas YA surtidas en Tareas Generadas		
		$sql_S2 = "SELECT SUM(NO_KILOS) as Suma2 FROM dashboard_kpi20 WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND CLASIFICACION='5'";
		$res_S2 = mysql_query($sql_S2); 
		$PrePiezas_S2 = mysql_fetch_assoc($res_S2);
		$TotCaj_S2 =  $PrePiezas_S2 ['Suma2'];
		if ($TotCaj_S2=="")
		{
			$TotCaj_S2 = "0";
		}
				
		///Total de Cajas Pendientes de Ser Surtidas en Tareas Generadas		
		$sql_S3 = "SELECT SUM(NO_KILOS) as Suma3 FROM dashboard_kpi20 WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' AND CLASIFICACION='6'";
		$res_S3 = mysql_query($sql_S3); 
		$PrePiezas_S3 = mysql_fetch_assoc($res_S3);
		$TotCaj_S3 =  $PrePiezas_S3 ['Suma3'];
		if ($TotCaj_S3=="")
		{
			$TotCaj_S3 = "0";
		}
?>

<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<title>Highcharts Example</title>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<style type="text/css">
#container {
	height: 400px; 
	min-width: 310px; 
	max-width: 800px;
	margin: 0 auto;
}
		</style>
		<script type="text/javascript">
$(function () {
    $('#container').highcharts({
		
		credits: {
            enabled: false
        },
		
        chart: {
            type: 'column',
            margin: 75,
            options3d: {
                enabled: true,
                alpha: 10,
                beta: 25,
                depth: 70
            }
        },
        title: {
            text: 'Monitoreo de Tareas - Nivel Kilos'
        },
        subtitle: {
            text: '<?PHP echo $TotCaj_S1; ?> Generado(s) .::::. <?PHP echo $TotCaj_S2; ?> Finalizado(s) .::::. <?PHP echo $TotCaj_S3; ?> Pendiente(s)'
        },
        plotOptions: {
            column: {	
                depth: 25
            }
        },
        xAxis: {
            categories: [
                'Generadas',
				'Finalizadas',
                'Pendientes'
            ],
        },
        yAxis: {
            title: {
                text: null
            }
        },
        series: [{
            name: 'Kilos',
            data: [<?PHP echo $TotCaj_S1; ?>, <?PHP echo $TotCaj_S2; ?>, <?PHP echo $TotCaj_S3; ?>]
        }]
    });
});
		</script>
	</head>
	<body>

<script src="Highcharts-4.1.5/js/highcharts.js"></script>
<script src="Highcharts-4.1.5/js/highcharts-3d.js"></script>
<script src="Highcharts-4.1.5/js/modules/exporting.js"></script>

<div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>
	</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>